<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100035";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("d/m/Y");
			$Fecha_VV=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

		////ARRASTRANDO LOS VALORES///////
		$NoDocPG=$_POST['txt_NoDoc'];
		$Ref1PG=$_POST['txt_Ref1'];
		$Ref2PG=$_POST['txt_Ref2'];
		$EdoDoPG=$_POST['txt_EdoDoc'];
		$TiEntPG=$_POST['txt_CveTiEnt'];
		$CvePrPG=$_POST['txt_CveProv'];
		$VigenPG=$_POST['txt_VIGE'];
		$ObserPG=$_POST['txt_Obser'];
		
		$TiAlmPG=$_POST['txt_TipoAlmacen'];
		$PedS1PG=$_POST['txt_Ped1'];
		$PedS2PG=$_POST['txt_Ped2'];
		$PedS3PG=$_POST['txt_Ped3'];
		$PedS4PG=$_POST['txt_Ped4'];
		$CtaCuPG=$_POST['txt_CartaCupo'];
		
		//////VALIDAR DATOS EN BLANCO ////////////
		if ($TiEntPG=="")
			{
			echo "<script>alert('Debes digitar y/o seleccionar el Tipo de Entrada del Recibo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
			}
			else
			{
		if ($CvePrPG=="")
			{
			echo "<script>alert('Debes digitar y/o seleccionar el Provedor del Recibo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
			}
			else
			{
		if ($VigenPG < $Fecha_VV)///Vigencia del Documento
			{
			echo "<script>alert('La vigencia del Documento debe ser Mayor o igual a la Fecha Actual.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
			}
			else
			{
		if ($TiAlmPG=="")///Tipo de Almacenamiento
			{
			echo "<script>alert('Favor de seleccionar el tipo de Almacen para este Recibo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
			}
			else
			{

				/////Identificar si el Numero de Documento ya existe para la cuenta en Curso
				$sqlV1 = mysql_query("select * from tabla_documentos WHERE NO_DOC_COMPLE='$NoDocPG' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlV1)<>0) 
				{
					echo "<script>alert('El Número de Documento que deseas dar de Alta dentro del WMS ya existe.\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
				}
				else 
				{ 
				
				/////Identificar si el Tipo de Entrada Seleccionado Existe
				$sqlV2 = mysql_query("select * from wms_configura_tipoentrada WHERE CVE_TIPOENTRADA='$TiEntPG' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlV2)==0) 
				{
					echo "<script>alert('El Tipo de Entrada que deseas asignar al Documento no esta dado de alta dentro del WMS.\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
				}
				else 
				{ 
				
				/////Identificar si el Proveedor Seleccionado Existe
				$sqlV3 = mysql_query("select * from tabla_proveedores WHERE CVE_PROVEEDOR='$CvePrPG' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlV3)==0) 
				{
					echo "<script>alert('El Proveedor que deseas asignar al Documento no esta dado de alta dentro del WMS.\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
				}
				else 
				{ 
				
				/////Identificar si el Tipo de Almacen Existe
				$sqlV4 = mysql_query("select NOM_TIPOALMACEN from wms_configura_tipoalmacen WHERE CVE_TIPOALMACEN='$TiAlmPG' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlV4)==0) 
				{
					echo "<script>alert('El tipo de almacen seleccionado no esta dado de alta dentro del WMS.\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
				}
				else 
				{
					
			///////Validar Campos si el Tipo de Almacen es DEPOSITO FISCAL
			if ($TiAlmPG=="20")
				{ ///Inicia If Validación de Campos en Recinto Fiscal
					
					if ($PedS1PG=="")
					{/// Inicia If 1 de Validación de Campos Fiscales
					echo "<script>alert('Favor de llenar el primer campo que contempla los primeros 2 digitos que conforman el número de pedimento.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
					if ($PedS2PG=="")
					{/// Inicia If 2 de Validación de Campos Fiscales
					echo "<script>alert('Favor de llenar el segundo campo que contempla los segundos 2 digitos que conforman el número de pedimento.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
					if ($PedS3PG=="")
					{/// Inicia If 3 de Validación de Campos Fiscales
					echo "<script>alert('Favor de llenar el tercer campo que contempla los terceros 4 digitos que conforman el número de pedimento.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
					if ($PedS4PG=="")
					{/// Inicia If 4 de Validación de Campos Fiscales
					echo "<script>alert('Favor de llenar el cuarto campo que contempla lo última sección de 7 digitos que conforman el número de pedimento.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
					if ($CtaCuPG=="")
					{/// Inicia If 8 de Validación de Campos Fiscales
					echo "<script>alert('Favor de digitar el número de la carta cupo de recibo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
					
					///Año para validar pedimento
					$FechaValPed=date("Y");
					$FechaValPed = substr($FechaValPed, -2);
									
					if ($PedS1PG < $FechaValPed)
					{/// Inicia If 5 de Validación de Campos Fiscales
					echo "<script>alert('El año de creación del pedimento es mas antiguo que el año en curso.\\nFavor de validarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
						
					$sqlV5 = mysql_query("select NOMBRE_ADUANA from tabla_aduanas WHERE CVE_ADUANA='$PedS2PG' AND CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlV5)==0) 
					{/// Inicia If 6 de Validación de Campos Fiscales
						echo "<script>alert('El número de la aduana digitada dentro del pedimento no se encuentra autorizada por la Secretaria de Administración Tributaria (SAT).\\n\\nFavor de validarlo.');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else 
					{
					
					$FechaValPed2=date("Y");
					///Devuelve el ultimo digito del año
					$UltDigitoAñoPedimento = substr($FechaValPed2, -1);///Devuelve el ultimo digito del año en el que se creo el pedimento, tomando en cuenta la primer sección y/o los primros 2 digitos del numero de pedimento completo
					
					$PriDigitoFolAsignado = substr($PedS4PG, -7,1);///Devuelve el primer digito del numero de pedimento completo 
						
					if ($UltDigitoAñoPedimento <> $PriDigitoFolAsignado)
					{/// Inicia If 7 de Validación de Campos Fiscales
					echo "<script>alert('El año en la asignación del folio es diferente al año de la creación del pedimento.\\n\\nFavor de validarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
						
						$NoPedimGen = $PedS1PG.$PedS2PG.$PedS3PG.$PedS4PG;
						
					/////Identificar si el Numero de Pedimento ya existe para la cuenta en Curso
					$sqlV6 = mysql_query("select NO_DOCUMENTO from tabla_documentos WHERE PEDIMENTO='$NoPedimGen' AND CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlV6)<>0) 
					{/// Inicia If 9 de Validación de Campos Fiscales
						echo "<script>alert('El Número de Pedimento que deseas dar de Alta ya existe dentro del WMS. Favor de corroborarlo.');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else 
					{ 
					
					/////Identificar si el Numero de Carta Cupo ya existe para la cuenta en Curso
					$sqlV7 = mysql_query("select NO_DOCUMENTO from tabla_documentos WHERE CARTA_CUPO='$CtaCuPG' AND CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlV7)<>0) 
					{/// Inicia If 10 de Validación de Campos Fiscales
						echo "<script>alert('El Número de Cata Cupo que deseas dar de Alta ya existe dentro del WMS. Favor de corroborarlo.');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else 
					{ 
					
				///} ///Termina If Validación de Campos en Recinto Fiscal
				
			///////Detectar si el numero de documento lo genera el WMS		
			if ($NoDocPG=="")
				{ ///Inicia If Proc 1
				
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_recibo WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoCta=$registroIDE1["PREFIJO_DOCRECIBO"];
					}
					
					////Generador de Folio para gsrdar el consecutivo de la clave de documento en la tabla_consedocres
					$FechaDocuRes=date("Ymd");
				
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consedocres WHERE FECHA='$FechaDocuRes'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >9999)
					{
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					////Generador de Folio para guardar el consecutivo del # de Documento de Recibo
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consedocres"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					////Guardar en la BD el consecutivo del # de Documento de Recibo
					$sqlGDS = "insert tabla_consedocres (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$NoDocPG','$FechaDocuRes')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
					
				} ///Termina If Proc 1
				
				
					///////GENERADOR DE FOLIO///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_documentos"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					//////GUARDAR EL LA BD//////////
					$sqlGP = "insert into tabla_documentos (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,REFERENCIA_1,REFERENCIA_2,TIPO_ALMACEN,PEDIMENTO,CARTA_CUPO,ESTADO_DOCUMENTO,TIPODEINGRESO,PROVEEDOR,VIGENCIA,FECHA_REG,HORA_REG,OBSERVACIONES,USUARIO_REG)
			        values('$id_nuevo','$CveBodCR1','$CveCueCR1','$NoDocPG','$NoDocPG','$Ref1PG','$Ref2PG','$TiAlmPG','$NoPedimGen','$CtaCuPG','$EdoDoPG','$TiEntPG','$CvePrPG','$VigenPG','$Fecha','$HoraOK','$ObserPG','$UsuEn')";

					$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
		
				echo "<script>alert('REGISTRO GUARDADO CORRECTAMENTE');</script>";
				////echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo3_Con1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&DocRe_Kp=$NoDocPG'>";

			}/// Termina If 10 de Validación de Campos Fiscales
			}/// Termina If 9 de Validación de Campos Fiscales
			}/// Termina If 8 de Validación de Campos Fiscales	
			}/// Termina If 7 de Validación de Campos Fiscales	
			}/// Termina If 6 de Validación de Campos Fiscales	
			}/// Termina If 5 de Validación de Campos Fiscales
			}/// Termina If 4 de Validación de Campos Fiscales
			}/// Termina If 3 de Validación de Campos Fiscales
			}/// Termina If 2 de Validación de Campos Fiscales
			}/// Termina If 1 de Validación de Campos Fiscales
			
			}///Termina If Validación de Campos en Recinto Fiscal
			else
			{///Inicia If Validación de Campos en Almacen Nacional
				
				
				///////Detectar si el numero de documento lo genera el WMS		
			if ($NoDocPG=="")
				{ ///Inicia If Proc 1
				
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_recibo WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoCta=$registroIDE1["PREFIJO_DOCRECIBO"];
					}
					
					////Generador de Folio para gsrdar el consecutivo de la clave de documento en la tabla_consedocres
					$FechaDocuRes=date("Ymd");
				
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consedocres WHERE FECHA='$FechaDocuRes'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >9999)
					{
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					////Generador de Folio para guardar el consecutivo del # de Documento de Recibo
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consedocres"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					////Guardar en la BD el consecutivo del # de Documento de Recibo
					$sqlGDS = "insert tabla_consedocres (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$NoDocPG','$FechaDocuRes')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
					
				} ///Termina If Proc 1
				
				
					///////GENERADOR DE FOLIO///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_documentos"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					//////GUARDAR EL LA BD//////////
					$sqlGP = "insert into tabla_documentos (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,REFERENCIA_1,REFERENCIA_2,TIPO_ALMACEN,ESTADO_DOCUMENTO,TIPODEINGRESO,PROVEEDOR,VIGENCIA,FECHA_REG,HORA_REG,OBSERVACIONES,USUARIO_REG)
			        values('$id_nuevo','$CveBodCR1','$CveCueCR1','$NoDocPG','$NoDocPG','$Ref1PG','$Ref2PG','$TiAlmPG','$EdoDoPG','$TiEntPG','$CvePrPG','$VigenPG','$Fecha','$HoraOK','$ObserPG','$UsuEn')";

					$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
		
				echo "<script>alert('REGISTRO GUARDADO CORRECTAMENTE');</script>";
				////echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=30-AltaDocumentoRecibo3_Con1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&DocRe_Kp=$NoDocPG'>";
				
				
				
			}///Termina If Validación de Campos en Almacen Nacional
			
			
			}
			}
			}
			}
			}
			}
			}
			}
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>